{ config, pkgs, ... }:
{
  networking.firewall.allowedUDPPorts = [53];
  services.bind = {
    enable = true;
    cacheNetworks = [
      "127.0.0.1/32"
      "192.168.99.0/24"
      "192.168.123.0/24"
      "2001:db8:191:4127::/64"
    ];
    forwarders = ["213.133.100.100" "213.133.98.98"];
    zones = [
      {
        name = "sphalerite.tech.";
        file = pkgs.writeText "sphalerite.tech.zone" ''
          $ORIGIN sphalerite.tech.
          @ 3600 SOA ns1.sphalerite.tech hostmaster.sphalerite.org (
            2019011700
            3600
            3600
            3600
            3600
          )
          @      IN NS ns1.sphalerite.tech.
          @      IN NS ns1.sphalerite.org.

          @      IN A 144.76.13.37
                 IN AAAA 2001:db8:191:4127::2
          ns1    IN A 144.76.13.37
                 IN AAAA 2001:db8:191:4127::2

          www    IN A 144.76.13.37
                 IN AAAA 2001:db8:191:4127::2

          ${config.lugnet.zoneDefs}
        '';
        master = true;
      }
    ];
  };
}
